/[suikacvs]/test/suikawebwww/style/html/common-class.css
Suika

Contents of /test/suikawebwww/style/html/common-class.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.3 - (hide annotations) (download) (as text)
Tue Feb 15 11:02:46 2005 UTC (21 years, 5 months ago) by wakaba
Branch: MAIN
Changes since 1.2: +118 -6 lines
File MIME type: text/css
Rules added

1 wakaba 1.1 @charset 'iso-2022-jp';
2 wakaba 1.3 @namespace H3 'urn:x-suika-fam-cx:markup:ietf:html:3:draft:00:';
3 wakaba 1.1 @namespace 'http://www.w3.org/1999/xhtml';
4 wakaba 1.3 @namespace h2 'http://www.w3.org/2002/06/xhtml2';
5 wakaba 1.1 @namespace xml 'http://www.w3.org/XML/1998/namespace';
6    
7 wakaba 1.3 /* Sections */
8    
9     div.section {
10     display: block;
11     }
12     /* XML Alternate: h2|section */
13    
14     /* Figure */
15     .fig {
16     display: block;
17     margin: 1em auto;
18     padding: 0;
19     max-width: 80%;
20     }
21     /* XML Alternate: ???:fig */
22    
23     .fig-body {
24     display: block;
25     margin: 1em;
26     padding: 0;
27     }
28    
29 wakaba 1.2 /* Note */
30    
31     .note {
32     margin-top: 1em;
33     margin-bottom: 1em;
34 wakaba 1.3 margin-right: 5em;
35 wakaba 1.2 text-indent: 0;
36 wakaba 1.3 background-color: transparent;
37     color: green;
38 wakaba 1.2 }
39     /* NOTE: Don't use :before since old documents do or do not have
40     text of "Note: " or so on as part of character data. */
41     /* XML Alternate: H3|note */
42    
43 wakaba 1.3 /* Example */
44    
45 wakaba 1.2 .example {
46     border: 1px solid rgb(153, 153, 153);
47     padding: 0.5em;
48     background-color: rgb(255, 248, 221);
49     color: rgb(102, 0, 0);
50     }
51     .example:before {
52     content: "例: ";
53 wakaba 1.3 font-weight: bolder;
54     font-family: sans-serif;
55 wakaba 1.2 }
56     .example:lang(en):before {
57 wakaba 1.3 content: "Example. ";
58     }
59    
60     .fig.example:before {
61     content: "";
62     }
63    
64     .example .comment {
65     background-color: transparent;
66     color: green;
67     text-decoration: none;
68     font-family: "MS Mincho", "Times New Roman", serif;
69     }
70    
71     /* Block Captions */
72    
73     .fig .caption {
74     display: block;
75     text-align: center;
76     font-weight: bolder;
77     font-family: sans-serif;
78     }
79     .fig > .caption:lang(en) {
80     font-weight: normal;
81     font-family: serif;
82     font-transform: small-caps;
83     font-style: italic;
84     }
85    
86     .fig > .caption:before {
87     content: "例: ";
88     }
89     .fig > .caption:lang(en):before {
90 wakaba 1.2 content: "Example. ";
91     }
92    
93 wakaba 1.3 /* Inline Captions */
94    
95     p .caption {
96     font-weight: bolder;
97     font-family: sans-serif;
98     }
99     /* Example: <p class="note"><span class="caption">Note.</span> ...</p> */
100    
101     /* Phrases */
102    
103     code.uri, code.mail {
104     font-size: smaller;
105     font-style: italic;
106     font-family: "Times New Roman", "Times", serif;
107     }
108    
109     h2|code[class~="uri"]:before, h2|code[class~="mail"]:before {
110     content: "<";
111     }
112     h2|code[class~="uri"]:after, h2|code[class~="mail"]:after {
113     content: ">";
114     }
115     /* Note. Some XHTML 1 documents have enclosing "<" and ">" and
116     others does not. */
117    
118     h2|code[class~="file"]:before, h2|code[class~="file"]:after {
119     content: '"';
120     color: graytext;
121     }
122    
123     code.math, code[class~="uri"] {
124     font-family: "Times New Roman", "Times", serif;
125     }
126    
127 wakaba 1.2 /* Emphasis */
128    
129     .weak {
130     font-size: 80%;
131     color: GrayText;
132     background-color: transparent;
133     }
134    
135     /* Footer */
136    
137 wakaba 1.3 .footer, *|*[class~="footer"],
138     /* Old styles (discouraged) */
139     #footer, #FOOTER, body > address, body > .update
140     {
141     margin: 2em 0 0 0;
142     border-top: gray 1px solid;
143     padding-top: 10px;
144     }
145    
146     /* Old style footer (discouraged) */
147     body address + .update {
148     margin: 0;
149     border-top: gray 0 none;
150     padding-top: 0;
151     }
152    
153     .update:before, *|*[class~="update"]:before {
154 wakaba 1.2 content: "修正: ";
155     }
156 wakaba 1.3 .update:lang(en):before, *|*[class~="update"]:lang(en):before {
157 wakaba 1.2 content: "Modified: ";
158     }
159    
160     #w3c-html, #w3c-css {
161     float: right;
162     width: 88px;
163     height: 31px;
164     border: none;
165     }
166 wakaba 1.1
167     /* License
168    
169 wakaba 1.3 Copyright 2003-2005 Wakaba <[email protected]>.
170 wakaba 1.1
171     This program is free software; you can redistribute it and/or modify
172     it under the terms of the GNU General Public License as published by
173     the Free Software Foundation; either version 2 of the License, or
174     (at your option) any later version.
175    
176     This program is distributed in the hope that it will be useful,
177     but WITHOUT ANY WARRANTY; without even the implied warranty of
178     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
179     GNU General Public License for more details.
180    
181     You should have received a copy of the GNU General Public License
182     along with this program; see the file COPYING. If not, write to
183     the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
184     Boston, MA 02111-1307, USA.
185    
186     */
187    
188 wakaba 1.3 /* $Date: 2004/12/15 13:43:30 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24